Skip to main content
`Ctrl`+`K`

# PetscGaussLobattoLegendreIntegrate

Compute the L2 integral of a function on the GLL points

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscGaussLobattoLegendreIntegrate(PetscInt n, PetscReal nodes[], PetscReal weights[], const PetscReal f[], PetscReal *in)

Not Collective

## Input Parameters

- n - the number of GLL nodes

- nodes - the GLL nodes

- weights - the GLL weights

- f - the function values at the nodes

## Output Parameter

- in - the value of the integral

## See Also

`PetscDTGaussLobattoLegendreQuadrature()`

## Level

beginner

## Location

src/dm/dt/interface/dt.c

## Examples

src/ksp/ksp/tutorials/ex68.c
src/ksp/ksp/tutorials/ex69.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages